place 0h

primeiro	EQU	1000H	; endereo do primeiro byte a testar
ltimo		EQU	1FFFH	; endereo do ltimo byte a testar
padro		EQU	70H	; valor do byte que serve de termo de comparao
mscara		EQU	0F0H	; mscara para isolar os 4 bits de maior peso

incio:	MOV	R1, primeiro	; inicializa apontador para o primeiro byte
	MOV	R2, ltimo	; inicializa apontador para o ltimo byte
	MOV	R3, mscara	; inicializa registo com mscara
	MOV	R4, padro	; inicializa registo com termo de comparao
	MOV	R5, 0		; inicializa contador de bytes
maisUm:	MOVB	R0, [R1]	; vai buscar o prximo byte (acesso de 8 bits)
	AND	R0, R3		; elimina os 4 bits de menor peso (isola os 4 de maior peso)
	CMP	R0, R4		; compara com o padro
	JNZ	prximo		; se no for igual, passa ao prximo byte 
				; sem contar este
	ADD	R5, 1		; se for igual, contabiliza este byte
prximo:CMP	R1, R2		; j estamos no ltimo byte?
	JZ	fim		; se este j era o ltimo byte, termina
	ADD	R1, 1		; obtm endereo (em bytes) do prximo byte 
	JMP	maisUm		; vai testar mais um byte
fim:	JMP	fim		; acabou. Em R5 est o nmero de bytes contados



